Package com.smartgwt.client.types

# Enum DSServerType

java.lang.Object
java.lang.Enum<DSServerType>
com.smartgwt.client.types.DSServerType

All Implemented Interfaces:
  `ValueEnum`, `Serializable`, `Comparable<DSServerType>`, `Constable`

public enum DSServerType extends Enum<DSServerType> implements ValueEnum
Indicates what Smart GWT Server will do with a DataSource request if you call dsRequest.execute() in server code.

If you use a Java-based persistence layer not provided by Smart GWT, such as EJB or your own custom object model, you don't need to set `dataSource.serverType` and should follow the `integration instructions`.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `GENERIC`
  Requests will be delivered to the server and you are expected to write Java code to create a valid response.
  `HIBERNATE`
  Use Hibernate, either using a real mapped bean or by automatically generating a Hibernate configuration based on a Smart GWT DataSource file (dataSourceID.ds.xml).
  `JPA`
  Use Smart GWT's built-in JPA 2.0 connector.
  `JPA1`
  Use Smart GWT's built-in JPA 1.0 connector.
  `ODATA`
  Use Smart GWT's built-in `OData DataSource`.
  `PROJECTFILE`
  Requests will be delivered to the server and processed as `FileSource operations`, using directories or other DataSources which you configure via `DataSource.projectFileKey` or `DataSource.projectFileLocations`
  `REST`
  Use Smart GWT's built-in `RestConnector`, which can connect to many different types of REST webservice
  `SQL`
  Use Smart GWT's `built-in SQL connectors` to talk directly to relational databases.
  `UNION`
  Use Smart GWT's built-in `unionDataSource`, which assimilates records from multiple member dataSources

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getValue()`
  `static DSServerType`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static DSServerType[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### SQL

    public static final DSServerType SQL
    Use Smart GWT's `built-in SQL connectors` to talk directly to relational databases.

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "sql".

  - ### HIBERNATE

    public static final DSServerType HIBERNATE
    Use Hibernate, either using a real mapped bean or by automatically generating a Hibernate configuration based on a Smart GWT DataSource file (dataSourceID.ds.xml). See `HibernateIntegration` for details.

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "hibernate".

  - ### JPA

    public static final DSServerType JPA
    Use Smart GWT's built-in JPA 2.0 connector.

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "jpa".

  - ### JPA1

    public static final DSServerType JPA1
    Use Smart GWT's built-in JPA 1.0 connector.

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "jpa1".

  - ### REST

    public static final DSServerType REST
    Use Smart GWT's built-in `RestConnector`, which can connect to many different types of REST webservice

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "rest".

  - ### ODATA

    public static final DSServerType ODATA
    Use Smart GWT's built-in `OData DataSource`. This is a specialized subclass of the `RestConnector` which adds functionality for REST webservices that follow the OData protocol

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "odata".

  - ### GENERIC

    public static final DSServerType GENERIC
    Requests will be delivered to the server and you are expected to write Java code to create a valid response. Throws an error if the server side method dsRequest.execute() is called. This is appropriate if you intend an entirely custom implementation, and you want an error thrown if there is an attempt to call an operation you have not implemented.

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "generic".

  - ### PROJECTFILE

    public static final DSServerType PROJECTFILE
    Requests will be delivered to the server and processed as `FileSource operations`, using directories or other DataSources which you configure via `DataSource.projectFileKey` or `DataSource.projectFileLocations`

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "projectFile".

  - ### UNION

    public static final DSServerType UNION
    Use Smart GWT's built-in `unionDataSource`, which assimilates records from multiple member dataSources

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "union".

- ## Method Details

  - ### values

    public static DSServerType[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static DSServerType valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getValue

    public String getValue()
    Specified by:
      `getValue` in interface `ValueEnum`